%define _unpackaged_files_terminate_build 0

%define _java_ver		1.8.0
%define _java_rel		73
%define _java_home		/usr/lib/jvm
%define _java_ex_home	/usr/lib/jvm-exports
%define _java_pr_home	/usr/lib/jvm-private

%define _pkg_rel        1
%define java_rel		%{_pkg_rel}

%global java_pkg_name  java-%{_java_ver}-oracle-%{_java_ver}.%{_java_rel}-%{java_rel}%{?dist}.%{_arch}
%global java_pkg_ver   %{_java_ver}.%{_java_rel}-%{java_rel}%{?dist}.%{_arch}
%global jre_pkg_name  jre-%{_java_ver}-oracle-%{_java_ver}.%{_java_rel}-%{java_rel}%{?dist}.%{_arch}

%global jredir %{_java_home}/%{java_pkg_name}/jre
%global jrelink %{_java_home}/%{jre_pkg_name}/jre
%global jrebindir %{_java_home}/%{java_pkg_name}/jre/bin

%global jit_arches %{ix86} x86_64 sparcv9 sparc64 %{aarch64} %{power64}
# priority must be 7 digits in total. The expression is workarounding tip
%global priority        %(TIP=18000%{_java_rel};  echo ${TIP/tip/99})

#
# Don't make debug package
#
%define debug_package %{nil}

#
# Don't strip binary
# if follow define list is set, change first character # to %
# (#)(%)define is not permitted, only (#)define (for comment) or (%)define
#
%define __spec_install_post %{nil}
%define __find_requires %{nil}
%define _use_internal_dependency_generator 0
%define __jar_repack %{nil}

Summary: Java(TM) Platform Standard Edition Development Kit
Name: java-%{_java_ver}-oracle
Version: %{_java_ver}.%{_java_rel}
Release: %{_pkg_rel}%{?dist}
Epoch: 10
Group: Development/Languages
License: Oracle Binary Code License (BCL)
URL: http://www.oracle.com/technetwork/java/javase/downloads/index.html
#Source0: jdk-%{version}_%{java_rel}.tar.bz2
Source1: jdk.profile.csh
Source2: jdk.profile.sh
Source3: fontconfig.properties
Source4: ko-fonts.tar.gz
Source5: policytool.destkop
Source6: jconsole.desktop
Source100: jdk-mksource.sh
Buildroot: %{_tmppath}/jdk-%{version}_%{java_rel}-root
BuildRequires: wget rsync
Requires: %{name}-headless = %{epoch}:%{version}-%{release}
Requires: fontconfig
Requires: xorg-x11-fonts-Type1


%description
The Oracle JAVA audio, vidio and javafx runtime environment


%package headless
Summary: Oracle Java Runtime Environment
Group: Development/Languages
Requires: ca-certificates
Requires: jpackage-utils
Requires: tzdata-java >= 2015d
Requires: lksctp-tools

# Post requires alternatives to install tool alternatives.
Requires(post):   %{_sbindir}/alternatives
# Postun requires alternatives to uninstall tool alternatives.
Requires(postun): %{_sbindir}/alternatives

Provides: jvm
Provides: jre-%{_java_ver}-oracle = %{epoch}:%{version}-%{release}
Provides: jre-oracle = %{epoch}:%{version}-%{release}
Provides: jre-%{_java_ver} = %{epoch}:%{version}-%{release}
Provides: jre = %{_java_ver}
Provides: java-oracle = %{epoch}:%{version}-%{release}
Provides: java-%{_java_ver} = %{epoch}:%{version}-%{release}
Provides: java = %{epoch}:%{_java_ver}

Provides: %{name}-accessibility = %{epoch}:%{version}-%{release}
Provides: java-accessibility = %{epoch}:%{version}-%{release}
Provides: %{name}-demo = %{epoch}:%{version}-%{release}
Provides: java-demo = %{epoch}:%{version}-%{release}
Provides: java-fonts = %{epoch}:%{version}

Provides: jre-%{_java_ver}-oracle-headless%1 = %{epoch}:%{version}-%{release}
Provides: jre-oracle-headless%1 = %{epoch}:%{version}-%{release}
Provides: jre-%{_java_ver}-headless = %{epoch}:%{version}-%{release}
Provides: java-%{_java_ver}-headless = %{epoch}:%{version}-%{release}
Provides: jre-headless = %{epoch}:%{_java_ver}
Provides: java-oracle-headless = %{epoch}:%{version}-%{release}
Provides: java-headless = %{epoch}:%{_java_ver}
# Standard JPackage extensions provides.
Provides: jndi = %{epoch}:%{version}
Provides: jndi-ldap = %{epoch}:%{version}
Provides: jndi-cos = %{epoch}:%{version}
Provides: jndi-rmi = %{epoch}:%{version}
Provides: jndi-dns = %{epoch}:%{version}
Provides: jaas = %{epoch}:%{version}
Provides: jsse = %{epoch}:%{version}
Provides: jce = %{epoch}:%{version}
Provides: jdbc-stdext = 4.1
Provides: java-sasl = %{epoch}:%{version}

Obsoletes: oracle-jdk oracle-jre
Obsoletes: java-1.5.0-gcj
Obsoletes: sinjdoc

%description headless
The Oracle JAVA runtime environment without audio, video support and javafx.


%package devel
Summary: Oacle JAVA Development Environment
Group: Development/Tools
Requires: %{name}-headless = %{epoch}:%{version}-%{release}
Requires(post):   %{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives

# Standard JPackage devel provides.
Provides: java-sdk-%{_java_ver}-oracle = %{epoch}:%{version}
Provides: java-sdk-%{_java_ver} = %{epoch}:%{version}
Provides: java-sdk-oracle = %{epoch}:%{version}
Provides: java-sdk = %{epoch}:%{_java_ver}
Provides: java-%{_java_ver}-devel = %{epoch}:%{version}
Provides: java-devel-oracle = %{epoch}:%{version}
Provides: java-devel = %{epoch}:%{_java_ver}

Obsoletes: java-1.7.0-openjdk-devel
Obsoletes: java-1.5.0-gcj-devel


%description devel
The Oracle JAVA development tools.

%package devel-gui
Summary: Oacle JAVA GUI Development Environment
Group: Development/Tools
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name}-devel = %{epoch}:%{version}-%{release}

%description devel-gui
The Oracle JAVA GUI development tools.

%package src
Summary: Oracle JAVA Source Bundle
Group: Development/Languages
Requires: %{name}-headless = %{epoch}:%{version}-%{release}

%description src
The Oracle JAVA source bundle.


%prep
%setup -c -T -n jdk-%{_java_ver}_%{_java_rel}

if [ -f "../jdk-%{_java_ver}_%{_java_rel}-fcs.%{_arch}.rpm" ]; then
	cp -af ../jdk-%{_java_ver}_%{_java_rel}-fcs.%{_arch}.rpm ./
fi

bash %{SOURCE100} %{_java_ver}_%{_java_rel} %{_arch}

if [ -f "../jdk-%{_java_ver}_%{_java_rel}-fcs.%{_arch}.rpm" ]; then
	mv jdk-%{_java_ver}_%{_java_rel}-fcs.%{_arch}.rpm ../
fi


%build

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__rm} -f jre/lib/fontconfig.*
%{__install} -m644 %{SOURCE3} jre/lib/fontconfig.properties
#perl -pi -e "s/\@ARCH\@/${carch}/g" jre/lib/fontconfig.properties
tar xvfpz %{SOURCE4}

popd

%install
# create directorys 
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} -p %{buildroot}%{_sysconfdir}/profile.d

%{__install} -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/java-%{version}-oracle.csh
%{__install} -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/java-%{version}-oracle.sh

perl -pi -e 's/\@JAVA_PKG_NAME\@/%{java_pkg_name}/g' %{buildroot}%{_sysconfdir}/profile.d/java*sh

#cp -af etc/.java/ %{buildroot}%{_sysconfdir}/

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__mkdir_p} %{buildroot}%{_java_home}/%{java_pkg_name}/{bin,db,jre,lib}
%{__mkdir_p} %{buildroot}%{_datadir}/icons/{16x16,48x48}/apps

# soft link java_pkg_name jre_pkg_name
pushd %{buildroot}%{_java_home}/
	ln -sf %{java_pkg_name} %{jre_pkg_name}
popd

# install bin,db,jre,lib
for x in bin db jre lib
do
	rsync -av \
		--exclude=COPYRIGHT \
		--exclude=LICENSE \
		--exclude=README \
		--exclude=THIRDPARTYLICENSE* \
		--exclude=*.html \
		./${x}/ %{buildroot}%{_java_home}/%{java_pkg_name}/${x}/
done

# install icons
for x in 16x16 48x48
do
	mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${x}/apps/
	rsync -av \
		./jre/lib/desktop/icons/hicolor/${x}/apps/*.png \
		%{buildroot}%{_datadir}/icons/hicolor/${x}/apps/
	rename -- ".png" "-%{_java_ver}.png" %{buildroot}%{_datadir}/icons/hicolor/${x}/apps/*.png
done
popd

rm -rf %{buildroot}%{_java_home}/%{java_pkg_name}/jre/plugin
rm -rf %{buildroot}%{_java_home}/%{java_pkg_name}/jre/lib/desktop
rm -rf %{buildroot}%{_java_home}/%{java_pkg_name}/jre/lib/images/icons

# install include
cp -af include/ %{buildroot}%{_java_home}/%{java_pkg_name}/
cp -af %{_arch}/bin/ %{buildroot}%{_java_home}/%{java_pkg_name}/

# install mandir
%{__mkdir_p} %{buildroot}%{_mandir}/man1
cp -af man/man1/* %{buildroot}%{_mandir}/man1/

rename -- ".1" "-%{java_pkg_name}.1" %{buildroot}%{_mandir}/man1/*.1
gzip %{buildroot}%{_mandir}/man1/*.1

# install pollicy tool
%{__install} -d -m 755 %{buildroot}%{_datadir}/applicatioins/
%{__install} -m644 %{SOURCE5} %{buildroot}%{_datadir}/applicatioins/%{java_pkg_name}-policytool.desktop
%{__install} -m644 %{SOURCE6} %{buildroot}%{_datadir}/applicatioins/%{java_pkg_name}-jconsole.desktop

#install src
%{__install} -m644 src.zip %{buildroot}%{_java_home}/%{java_pkg_name}/src.zip
%{__install} -m644 %{_arch}/javafx-src.zip %{buildroot}%{_java_home}/%{java_pkg_name}/javafx-src.zip


# export & private
%{__install} -d -m 755 %{buildroot}%{_java_ex_home}
pushd %{buildroot}%{_java_ex_home}
	%{__mkdir} %{java_pkg_name}
	ln -sf %{java_pkg_name} %{jre_pkg_name}
	pushd %{java_pkg_name}
		for jf in jaas jndi-cos jdbc-stdext jndi jndi-ldap jndi-rmi sasl
		do
			ln -sf ../../jvm/%{java_pkg_name}/jre/lib/rt.jar ./${jf}-%{_java_ver}.%{_java_rel}.jar
			ln -sf ${jf}-%{_java_ver}.%{_java_rel}.jar ${jf}-%{_java_ver}.jar
			ln -sf ${jf}-%{_java_ver}.%{_java_rel}.jar ${jf}.jar
		done
		ln -sf jdbc-stdext-%{_java_ver}.%{_java_rel}.jar jdbc-stdext-3.0.jar
		
		for jf in jce jsse
		do
			ln -sf ../../jvm/%{java_pkg_name}/jre/lib/${jf}.jar ./${jf}-%{_java_ver}.%{_java_rel}.jar
			ln -sf ${jf}-%{_java_ver}.%{_java_rel}.jar ${jf}-%{_java_ver}.jar
			ln -sf ${jf}-%{_java_ver}.%{_java_rel}.jar ${jf}.jar
		done
	popd
popd

%{__install} -d -m 755 %{buildroot}%{_java_pr_home}
pushd %{buildroot}%{_java_pr_home}
	%{__mkdir_p} %{java_pkg_name}/jce/vanilla
popd


# jre file list with security and logging.properties
cd %{buildroot}
find %{buildroot}%{jredir}/lib -type d | \
	sed 's!^%{buildroot}!%%dir !g' > \
	$RPM_BUILD_DIR/jdk-%{_java_ver}_%{_java_rel}/%{name}-headless.files
find %{buildroot}%{jredir}/lib -type f -a \
	! -regex ".*/security\(/.*\)?" -a \
	! -name logging.properties | \
	sed 's!^%{buildroot}!!g' >> \
	$RPM_BUILD_DIR/jdk-%{_java_ver}_%{_java_rel}/%{name}-headless.files
find %{buildroot}%{jredir}/lib -type l -a \
	! -regex ".*/security\(/.*\)?" -a \
	! -name logging.properties | \
	sed 's!^%{buildroot}!!g' >> \
	$RPM_BUILD_DIR/jdk-%{_java_ver}_%{_java_rel}/%{name}-headless.files
cd -


%clean
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%post

PRIORITY=%{priority}
ext=.gz
alternatives \
  --install %{_bindir}/policytool policytool %{_java_home}/%{java_pkg_name}/jre/bin/policytool $PRIORITY \
  --slave %{_mandir}/man1/javaws.1$ext javaws.1$ext \
          %{_mandir}/man1/javaws-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/policytool.1$ext policytool.1$ext \
          %{_mandir}/man1/policytool-%{java_pkg_name}.1$ext

update-desktop-database %{_datadir}/applications &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
exit 0

%postun
alternatives --remove policytool %{_java_home}/%{java_pkg_name}/jre/bin/policytool

update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
exit 0




%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post headless

%{jredir}/bin/java -Xshare:dump >/dev/null 2>/dev/null

PRIORITY=%{priority}

ext=.gz
alternatives \
  --install %{_bindir}/java java %{jredir}/bin/java $PRIORITY  \
  --slave %{_java_home}/jre jre %{jredir} \
  --slave %{_java_ex_home}/jre jre_exports %{_java_ex_home}/%{jre_pkg_name} \
  --slave %{_bindir}/jjs jjs %{jredir}/bin/jjs \
  --slave %{_bindir}/keytool keytool %{jredir}/bin/keytool \
  --slave %{_bindir}/orbd orbd %{jredir}/bin/orbd \
  --slave %{_bindir}/pack200 pack200 %{jredir}/bin/pack200 \
  --slave %{_bindir}/rmid rmid %{jredir}/bin/rmid \
  --slave %{_bindir}/rmiregistry rmiregistry %{jredir}/bin/rmiregistry \
  --slave %{_bindir}/servertool servertool %{jredir}/bin/servertool \
  --slave %{_bindir}/tnameserv tnameserv %{jredir}/bin/tnameserv \
  --slave %{_bindir}/unpack200 unpack200 %{jredir}/bin/unpack200 \
  --slave %{_mandir}/man1/java.1$ext java.1$ext \
          %{_mandir}/man1/java-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/jjs.1$ext jjs.1$ext \
          %{_mandir}/man1/jjs-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/keytool.1$ext keytool.1$ext \
          %{_mandir}/man1/keytool-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/orbd.1$ext orbd.1$ext \
          %{_mandir}/man1/orbd-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/pack200.1$ext pack200.1$ext \
          %{_mandir}/man1/pack200-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/rmid.1$ext rmid.1$ext \
          %{_mandir}/man1/rmid-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/rmiregistry.1$ext rmiregistry.1$ext \
          %{_mandir}/man1/rmiregistry-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/servertool.1$ext servertool.1$ext \
          %{_mandir}/man1/servertool-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/tnameserv.1$ext tnameserv.1$ext \
          %{_mandir}/man1/tnameserv-%{java_pkg_name}.1$ext \
  --slave %{_mandir}/man1/unpack200.1$ext unpack200.1$ext \
          %{_mandir}/man1/unpack200-%{java_pkg_name}.1$ext

for X in oracle %{_java_ver} ; do
  alternatives \
    --install %{_java_home}/jre-"$X" \
            jre_"$X" %{jredir} $PRIORITY \
    --slave %{_java_ex_home}/jre-"$X" \
            jre_"$X"_exports %{jredir}
done

update-alternatives \
    --install %{_java_home}/jre-%{_java_ver}-oracle \
            jre_%{_java_ver}_oracle \
            %{_java_home}/%{jre_pkg_name} $PRIORITY \
    --slave %{_java_ex_home}/jre-%{_java_ver} \
            jre_%{_java_ver}_oracle_exports \
            %{_java_ex_home}/%{java_pkg_name}
exit 0


%postun headless
alternatives --remove java %{jrebindir}/java
alternatives --remove jre_oracle %{jredir}
alternatives --remove jre_%{_java_ver} %{jredir}
alternatives --remove jre_%{_java_ver}_oracle %{_java_home}/%{jre_pkg_name}




%post devel
PRIORITY=%{priority}
if [ "" == "-debug" ]; then
  let PRIORITY=PRIORITY-1
fi

ext=.gz
alternatives \
  --install %{_bindir}/javac javac %{_java_home}/%{java_pkg_name}/bin/javac $PRIORITY \
  --slave %{_java_home}/java java_sdk %{_java_home}/%{java_pkg_name} \
  --slave %{_java_ex_home}/java java_sdk_exports %{_java_ex_home}/%{java_pkg_name} \
  --slave %{_bindir}/appletviewer appletviewer %{_java_home}/%{java_pkg_name}/bin/appletviewer \
  --slave %{_bindir}/extcheck extcheck %{_java_home}/%{java_pkg_name}/bin/extcheck \
  --slave %{_bindir}/idlj idlj %{_java_home}/%{java_pkg_name}/bin/idlj \
  --slave %{_bindir}/jar jar %{_java_home}/%{java_pkg_name}/bin/jar \
  --slave %{_bindir}/jarsigner jarsigner %{_java_home}/%{java_pkg_name}/bin/jarsigner \
  --slave %{_bindir}/javadoc javadoc %{_java_home}/%{java_pkg_name}/bin/javadoc \
  --slave %{_bindir}/javah javah %{_java_home}/%{java_pkg_name}/bin/javah \
  --slave %{_bindir}/javap javap %{_java_home}/%{java_pkg_name}/bin/javap \
  --slave %{_bindir}/jcmd jcmd %{_java_home}/%{java_pkg_name}/bin/jcmd \
  --slave %{_bindir}/jconsole jconsole %{_java_home}/%{java_pkg_name}/bin/jconsole \
  --slave %{_bindir}/jdb jdb %{_java_home}/%{java_pkg_name}/bin/jdb \
  --slave %{_bindir}/jdeps jdeps %{_java_home}/%{java_pkg_name}/bin/jdeps \
  --slave %{_bindir}/jhat jhat %{_java_home}/%{java_pkg_name}/bin/jhat \
  --slave %{_bindir}/jinfo jinfo %{_java_home}/%{java_pkg_name}/bin/jinfo \
  --slave %{_bindir}/jmap jmap %{_java_home}/%{java_pkg_name}/bin/jmap \
  --slave %{_bindir}/jps jps %{_java_home}/%{java_pkg_name}/bin/jps \
  --slave %{_bindir}/jrunscript jrunscript %{_java_home}/%{java_pkg_name}/bin/jrunscript \
  --slave %{_bindir}/jsadebugd jsadebugd %{_java_home}/%{java_pkg_name}/bin/jsadebugd \
  --slave %{_bindir}/jstack jstack %{_java_home}/%{java_pkg_name}/bin/jstack \
  --slave %{_bindir}/jstat jstat %{_java_home}/%{java_pkg_name}/bin/jstat \
  --slave %{_bindir}/jstatd jstatd %{_java_home}/%{java_pkg_name}/bin/jstatd \
  --slave %{_bindir}/native2ascii native2ascii %{_java_home}/%{java_pkg_name}/bin/native2ascii \
  --slave %{_bindir}/rmic rmic %{_java_home}/%{java_pkg_name}/bin/rmic \
  --slave %{_bindir}/schemagen schemagen %{_java_home}/%{java_pkg_name}/bin/schemagen \
  --slave %{_bindir}/serialver serialver %{_java_home}/%{java_pkg_name}/bin/serialver \
  --slave %{_bindir}/wsgen wsgen %{_java_home}/%{java_pkg_name}/bin/wsgen \
  --slave %{_bindir}/wsimport wsimport %{_java_home}/%{java_pkg_name}/bin/wsimport \
  --slave %{_bindir}/xjc xjc %{_java_home}/%{java_pkg_name}/bin/xjc

for X in oracle 1.8.0 ; do
  alternatives \
    --install %{_java_home}/java-"$X" \
            java_sdk_"$X" %{_java_home}/%{java_pkg_name} $PRIORITY  \
    --slave /usr/lib/jvm-exports/java-"$X" \
            java_sdk_"$X"_exports %{_java_ex_home}/%{java_pkg_name}
done

update-alternatives \
    --install %{_java_home}/java-%{_java_ver}-oracle \
            java_sdk_%{_java_ver}_oracle \
            %{_java_home}/%{java_pkg_name} $PRIORITY  \
    --slave %{_java_ex_home}/java-%{_java_ver}-oracle \
            java_sdk_%{_java_ver}_oracle_exports \
            %{_java_ex_home}/%{java_pkg_name} >& /dev/null

exit 0


%postun devel
  alternatives --remove javac %{_java_home}/%{java_pkg_name}/bin/javac
  alternatives --remove java_sdk_oracle %{_java_home}/%{java_pkg_name}
  alternatives --remove java_sdk_%{_java_ver} %{_java_home}/%{java_pkg_name}
  alternatives --remove java_sdk_%{_java_ver}_oracle %{_java_home}/%{java_pkg_name}


%post devel-gui
update-desktop-database %{_datadir}/applications &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
exit 0


%postun devel-gui
update-desktop-database %{_datadir}/applications &> /dev/null || :

if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
exit 0


%posttrans devel-gui
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root, 0755)
%{_java_home}/%{java_pkg_name}/jre/bin/policytool
%{_java_home}/%{java_pkg_name}/jre/bin/ControlPanel
%{_java_home}/%{java_pkg_name}/jre/bin/jcontrol
%{_java_home}/%{java_pkg_name}/jre/bin/javaws

%{_java_home}/%{java_pkg_name}/jre/lib/amd64/libawt_xawt.so
%{_java_home}/%{java_pkg_name}/jre/lib/amd64/libjawt.so
%{_java_home}/%{java_pkg_name}/jre/lib/amd64/libjsoundalsa.so
%{_java_home}/%{java_pkg_name}/jre/lib/amd64/libsplashscreen.so
# javaFX
%{_java_home}/%{java_pkg_name}/jre/lib/amd64/libfxplugins.so
%{_java_home}/%{java_pkg_name}/jre/lib/amd64/libjavafx*.so
%{_java_home}/%{java_pkg_name}/jre/lib/amd64/libjfx*.so
%{_java_home}/%{java_pkg_name}/jre/lib/ext/jfxrt.jar
%{_java_home}/%{java_pkg_name}/jre/lib/javafx.properties
%{_java_home}/%{java_pkg_name}/jre/lib/jfxswt.jar

%{_datadir}/applicatioins/%{java_pkg_name}-policytool.desktop
%{_datadir}/icons/hicolor/*

%{_mandir}/man1/javaws-%{java_pkg_name}.1*
%{_mandir}/man1/policytool-%{java_pkg_name}.1*

%files headless -f %{name}-headless.files
%defattr(-,root,root, 0755)
%doc %{_arch}/jre/LICENSE %{_arch}/jre/THIRDPARTYLICENSEREADME.txt
%doc %{_arch}/jre/THIRDPARTYLICENSEREADME-JAVAFX.txt
%doc %{_arch}/jre/README %{_arch}/jre/COPYRIGHT

#{_sysconfdir}/.java
%{_sysconfdir}/profile.d/java-%{version}-oracle.csh
%{_sysconfdir}/profile.d/java-%{version}-oracle.sh

%dir %{_java_ex_home}
%dir %{_java_ex_home}/%{java_pkg_name}
%{_java_ex_home}/%{jre_pkg_name}
%{_java_ex_home}/%{java_pkg_name}/*

%dir %{_java_pr_home}
%dir %{_java_pr_home}/%{java_pkg_name}
%{_java_pr_home}/%{java_pkg_name}/*

%dir %{_java_home}
%dir %{_java_home}/%{java_pkg_name}
%{_java_home}/%{jre_pkg_name}

%{_java_home}/%{java_pkg_name}/jre/bin/*
%exclude %{jredir}/bin/ControlPanel
%exclude %{jredir}/bin/javaws
%exclude %{jredir}/bin/jcontrol
%exclude %{jredir}/bin/policytool

%{jredir}/lib/security/cacerts
%config(noreplace) %{jredir}/lib/security/US_export_policy.jar
%config(noreplace) %{jredir}/lib/security/local_policy.jar
%config(noreplace) %{jredir}/lib/security/java.policy
%config(noreplace) %{jredir}/lib/security/javaws.policy
%config(noreplace) %{jredir}/lib/security/java.security
%config(noreplace) %{jredir}/lib/security/blacklist
%config(noreplace) %{jredir}/lib/security/blacklisted.certs
%config(noreplace) %{jredir}/lib/security/trusted.libraries
%config(noreplace) %{jredir}/lib/logging.properties

# main packages
%exclude %{jredir}/lib/amd64/libawt_xawt.so
%exclude %{jredir}/lib/amd64/libjawt.so
%exclude %{jredir}/lib/amd64/libjsoundalsa.so
%exclude %{jredir}/lib/amd64/libsplashscreen.so
# javaFX
%exclude %{jredir}/lib/amd64/libfxplugins.so
%exclude %{jredir}/lib/amd64/libjavafx*.so
%exclude %{jredir}/lib/amd64/libjfx*.so
%exclude %{jredir}/lib/ext/jfxrt.jar
%exclude %{jredir}/lib/javafx.properties
%exclude %{jredir}/lib/jfxswt.jar

%{_mandir}/man1/java-%{java_pkg_name}.1*
%{_mandir}/man1/jjs-%{java_pkg_name}.1*
%{_mandir}/man1/keytool-%{java_pkg_name}.1*
%{_mandir}/man1/orbd-%{java_pkg_name}.1*
%{_mandir}/man1/pack200-%{java_pkg_name}.1*
%{_mandir}/man1/rmid-%{java_pkg_name}.1*
%{_mandir}/man1/rmiregistry-%{java_pkg_name}.1*
%{_mandir}/man1/servertool-%{java_pkg_name}.1*
%{_mandir}/man1/tnameserv-%{java_pkg_name}.1*
%{_mandir}/man1/unpack200-%{java_pkg_name}.1*

%files devel
%defattr(-,root,root, 0755)
%doc %{_arch}/jre/LICENSE %{_arch}/jre/THIRDPARTYLICENSEREADME.txt
%doc %{_arch}/jre/THIRDPARTYLICENSEREADME-JAVAFX.txt

%dir %{_java_home}/%{java_pkg_name}/bin
%{_java_home}/%{java_pkg_name}/bin/*

%dir %{_java_home}/%{java_pkg_name}/db
%{_java_home}/%{java_pkg_name}/db/*

%dir %{_java_home}/%{java_pkg_name}/include
%{_java_home}/%{java_pkg_name}/include/*

%dir %{_java_home}/%{java_pkg_name}/lib
%{_java_home}/%{java_pkg_name}/lib/*

%exclude %{_java_home}/%{java_pkg_name}/lib/amd64/libjawt.so

%{_mandir}/man1/*.gz

%exclude %{_mandir}/man1/javaws-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/policytool-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/java-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/jjs-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/keytool-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/orbd-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/pack200-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/rmid-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/rmiregistry-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/servertool-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/tnameserv-%{java_pkg_name}.1*
%exclude %{_mandir}/man1/unpack200-%{java_pkg_name}.1*

%files devel-gui
%defattr(-,root,root, 0755)

%{_java_home}/%{java_pkg_name}/lib/amd64/libjawt.so

%{_java_home}/%{java_pkg_name}/bin/javafxpackager
%{_java_home}/%{java_pkg_name}/lib/ant-javafx.jar
%{_java_home}/%{java_pkg_name}/lib/javafx-mx.jar

# need X
%{_datadir}/applicatioins/%{java_pkg_name}-jconsole.desktop


%files src
%defattr(-,root,root, 0755)
%{_java_home}/%{java_pkg_name}/*.zip


%changelog
* Tue Feb 23 2016 JoungKyun.Kim <http://oops.org> 100:1.8.0.73-1%{?dist}
- remake CentOS java style with 8u73

* Wed Feb  3 2016 JoungKyun.Kim <http://oops.org> 100:1.8.0-71%{?dist}
- update 1.8.0 u71
- security issues
  . CVE-2016-0494
  . CVE-2015-8126
  . CVE-2016-0483
  . CVE-2016-0475
  . CVE-2016-0402
  . CVE-2016-0466
  . CVE-2016-0448
  . CVE-2015-7575

